Support » Plugin: Wordfence Security - Firewall & Malware Scan » WordPress caught an error

  • Resolved palmtek

    (@palmtek)


    After your last update:

    Error Details
    =============
    An error of type E_COMPILE_ERROR was caused in line 4 of the file /home/XXXX/domains/technoogies.com/public_html/wp-content/plugins/wordfence/models/common/wfGeoIP2.php. Error message: require_once(): Failed opening required ‘/home/XXXX/domains/technoogies.com/public_html/wp-content/plugins/wordfence/models/common/../../vendor/autoload.php’ (include_path=’.:/opt/alt/php73/usr/share/pear’)

    The page I need help with: [log in to see the link]

Viewing 5 replies - 1 through 5 (of 5 total)
  • Seems like a very odd way to write a path. It does however get you there and the file does exist.

    Very similar error – and on multiple sites, as soon as Wordfence has updated to 7.4.1 – for example:

    An error of type E_COMPILE_ERROR was caused in line 29 of the file /home/xxxxxxxx/public_html/wp/wp-content/plugins/wordfence/lib/wordfenceClass.php. Error message: require_once(): Failed opening required ‘/home/xxxxxxxx/public_html/wp/wp-content/plugins/wordfence/lib/../models/page/wfPage.php’ (include_path=’.:/opt/alt/php70/usr/share/pear’)

    I haven’t had any errors since this one and only error. How about you Mr. @wwwolf?

    Plugin Support WFGerroald

    (@wfgerald)

    Hey @palmtek,

    This could possibly be an update that went wrong. Or it could have been the fact that your site was getting traffic during the automatic update. If your sites aren’t experiencing any trouble now I’d leave it be. However, if they are still getting the error I’d suggest reinstalling Wordfence.

    https://www.wordfence.com/help/advanced/remove-or-reset/#remove-or-reset

    Please let me know how it goes.

    Thanks,

    Gerroald

    Good enough for me, Thanks.

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.